GGIGETPIXELFORMAT(3)

NAME
ggiGetPixelFormat - Get a structure describing the format of a pixelvalue from a visual

SYNOPSIS
#include <ggi/ggi.h>

ggi_pixelformat *ggiGetPixelFormat (ggi_visual_t vis);

DESCRIPTION

This function obtains the default pixel format for the given visual.

RETURN VALUE

Returns a pointer to the ggi_pixelformat structure.

Modifying the structure returned is not allowed. Do not attempt to free the pointer returned.

STRUCTURES

See ggi/ggi.h or ggi_pixelformat(3) for details on the structure that is returned.

SEE ALSO
ggi_pixelformat(3), ggiMapColor(3)